10de:03ef [ASRock N68-VS3 FX] Networking and ACPI conflicts

Bug #1003297 reported by Gannin on 2012-05-23
54
This bug affects 9 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

The Linux kernal seems to have an issue with my on-board networking adapter and the ACPI of my computer. The boot log provides this bit of information:

[ 12.236250] ACPI: resource nForce2_smbus [io 0x0700-0x073f] conflicts with ACPI region SM00 [io 0x700-0x73f]

On doing some research this seems to be a very old and somewhat common bug that no one has ever done anything about.

This bug results in two things:

My on-board networking doesn't work, and trying to restart or shutdown the computer freezes the system.

With the previous 12.04 kernel, 3.2.0-23.36, there were two workarounds.

1) Boot into rescue mode, drop to the terminal, run "rmmod forcedeth" then "modprobe forcedeth msi=0 msix=0" then resume a normal boot. This enabled both networking and regular ACPI functions.

or

2) Add "forcedeth msi=0 msix=0" to /etc/modules

If you booted normally without following either of the above steps and then tried to modprobe, it wouldn't work. If you tried to rmmod the module, the system would instantly freeze.

With the new kernel update, 3.2.0-24.38, the above method number 1 still works, but number 2 no longer works as a workaround. It simply doesn't do anything.

The replacement work around for the new kernel is you must add the line "exec rmmod forcedeth" directly underneath the beginning of the script section in the file /etc/init/module-init-tools.conf, then you must add "modprobe forcedeth msi=0 msix=0" to /etc/rc.local. This new method doesn't work with the old kernel, and the old method doesn't work with the new kernel.

I fear unless this long-standing bug is fixed once and for all so such hoops don't have to be jumped through, at one point the kernel may receive some update to where no method will be able to get this to work at all.

For the record, none of the various GRUB tweaks, such as acpi=off or acpi=force, did anything.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-24-generic 3.2.0-24.38
ProcVersionSignature: Ubuntu 3.2.0-24.38-generic 3.2.16
Uname: Linux 3.2.0-24-generic x86_64
NonfreeKernelModules: fglrx
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu7
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: NVidia [HDA NVidia], device 0: VT1705 Analog [VT1705 Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: beardo 1765 F.... pulseaudio
 /dev/snd/controlC0: beardo 1765 F.... pulseaudio
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xfeaf8000 irq 22'
   Mixer name : 'VIA VT1705'
   Components : 'HDA:11064397,18490397,00100000'
   Controls : 37
   Simple ctrls : 20
Card1.Amixer.info:
 Card hw:1 'Generic'/'HD-Audio Generic at 0xfebbc000 irq 43'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,00aa0100,00100200'
   Controls : 6
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Date: Wed May 23 01:11:42 2012
HibernationDevice: RESUME=UUID=8e8558a6-69ba-4a78-80d6-4c2306bf4202
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 003: ID 058f:6366 Alcor Micro Corp. Multi Flash Reader
 Bus 002 Device 002: ID 046d:c05a Logitech, Inc. Optical Mouse M90
MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-24-generic root=UUID=DC70C31070C2F076 loop=/hostname/disks/root.disk ro
PulseList:
 Error: command ['pacmd', 'list'] failed with exit code 1: Home directory /home/beardo not ours.
 No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-24-generic N/A
 linux-backports-modules-3.2.0-24-generic N/A
 linux-firmware 1.79
RfKill:

SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/07/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P1.20
dmi.board.name: N68-VS3 FX
dmi.board.vendor: ASRock
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP1.20:bd10/07/2011:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnN68-VS3FX:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To Be Filled By O.E.M.
dmi.product.version: To Be Filled By O.E.M.
dmi.sys.vendor: To Be Filled By O.E.M.

Gannin (spacesword) wrote :
Brad Figg (brad-figg) on 2012-05-23
Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.4kernel[1] (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the other tags). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-precise/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Gannin (spacesword) wrote :

I tested kernel 3.4 as per your instructions, and the bug still exists. The error message of the bug has changed in this new kernel. It is now:

[ 8.416857] ACPI Warning: 0x0000000000000700-0x000000000000073f SystemIO conflicts with Region \_SB_.PCI0.SM00 1 (20120320/utaddress-251)

However, the results are the same. In its default state, the sytem will not recognize the ethernet adapter, and the system hangs when you try to reboot or shut down. The workaround mentioned in my first post is still neccesary in order to get kernel 3.4 to recognize the ethernet adapter, and to shut down and reboot properly.

tags: removed: needs-upstream-testing
tags: added: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Chris (fabricator4) wrote :

I have this exact same problem with the exact same board with a clean install of 12.10 32 bit except that only the Ubiquity reboot fails to work. Normal reboot/shutdown works OK. None of the fixes here allowed me to use the ethernet card on this board. The warning message in /var/logs/syslog is also the same:

ACPI Warning: 0x0000000000000700-0x000000000000073f SystemIO conflicts with Region \_SB_.PCI0.SM00 1 (20120320/utaddress-251)

The motherboard came with version 1.7 BIOS which I hopefully upgraded to 1.8, which also failed. I then downgraded to V 1.6 for the BIOS and found that the ethernet card was working perfectly. The flash BIOS files can be downloaded from ASRock here http://www.asrock.com/mb/download.asp?Model=N68-VS3%20FX&o=BIOS

This combined with the alternate workaround for the later kernel allowed Ubuntu to recognise the ethernet card and use it. I then performed all (244) updates which included an upgrade from kernel 3.5.0-17 to 3.5.0-21.

After re-booting, I found that the system is broken again and will no longer recognise the ethernet card. I tried the first two work arounds again but nothing is working. There are no ACPI settings in BIOS that might help, and as stated the acpi= type adjustments in grub boot do not help at all.

Gannin (spacesword) wrote :

I guess considering the lack of movement on this bug, the only real longterm solution is to not use an ASrock motherboard. I know my next motherboard will either be a Gigabyte or an Asus.

In the meantime though, as a workaround, here's something else you can try:

First remove any of the other modifications or workarounds you may have tried from above.

Then, edit /etc/modprobe.d/blacklist.conf

Below the line that reads:

"blacklist evbug"

Add a line that reads:

"blacklist forcedeth"

Save your changes and restart your computer. If all went well, you should *not* have network access. Ubuntu should pop-up a notification saying there's no network access, and the network icon in the top bar should just sit there, instead of spinning and spinning. Log in to your account.

Open the terminal and type:

"sudo modprobe forcedeth msi=0 msix=0"

Your network icon should then spin for a bit and you should get network access.

If this works for you, you'll have to use the above command every time you first log into your computer, but it's perhaps the easiest way to work around this issue until they finally fix this bug, if they ever do.

Ganin, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11-rc5

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: bios-outdated-1.80 needs-upstream-testing regression-potential
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Download full text (8.0 KiB)

This is still a problem, internet does not work on the card.

> Date: Sun, 25 Aug 2013 01:06:27 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 1003297] Re: Networking and ACPI conflicts
>
> Ganin, this bug was reported a while ago and there hasn't been any
> activity in it recently. We were wondering if this is still an issue? If
> so, could you please test for this with the latest development release
> of Ubuntu? ISO images are available from http://cdimage.ubuntu.com
> /daily-live/current/ .
>
> If it remains an issue, could you please run the following command in
> the development release from a Terminal
> (Applications->Accessories->Terminal), as it will automatically gather
> and attach updated debug information to this report:
>
> apport-collect -p linux <replace-with-bug-number>
>
> Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
> kernel-fixed-upstream
> kernel-fixed-upstream-VERSION-NUMBER
>
> where VERSION-NUMBER is the version number of the kernel you tested. For example:
> kernel-fixed-upstream-v3.11-rc5
>
> This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
> needs-upstream-testing
>
> If the mainline kernel does not fix this bug, please add the following tags:
> kernel-bug-exists-upstream
> kernel-bug-exists-upstream-VERSION-NUMBER
>
> As well, please remove the tag:
> needs-upstream-testing
>
> Once testing of the upstream kernel is complete, please mark this bug's
> Status as Confirmed. Please let us know your results. Thank you for your
> understanding.
>
> ** Tags added: bios-outdated-1.80 needs-upstream-testing regression-
> potential
>
> ** Changed in: linux (Ubuntu)
> Status: Confirmed => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1003297
>
> Title:
> Networking and ACPI conflicts
>
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> The Linux kernal seems to have an issue with my on-board networking
> adapter and the ACPI of my computer. The boot log provides this bit
> of information:
>
> [ 12.236250] ACPI: resource nForce2_smbus [io 0x0700-0x073f]
> conflicts with ACPI region SM00 [io 0x700-0x73f]
>
> On doing some research this seems to be a very old and somewhat common
> bug that no one has ever done anything about.
>
> This bug results in two things:
>
> My on-board networking doesn't work, and trying to restart or shutdown
> the computer freezes the system.
>
> With the previous 12.04 kernel, 3.2.0-23.36, there were two
> workarounds.
>
> 1) Boot into rescue mode, drop to the termi...

Read more...

Yes, this bug is still an issue. I believe this thread has been quiet because we've all been, well, waiting and hoping for the devs to actually fix the bug. But as the bug was never even assigned to anyone, I'm beginning to feel this is going to be another one of those Ubuntu bugs that's show-stopping for some, but quietly slips into the ether and never gets fixed.

Download full text (6.5 KiB)

Yeah, lets not let that happen, tell me how I can help and lets get this thing up and fixed! we can do it!

> Date: Sun, 25 Aug 2013 02:46:50 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 1003297] Re: Networking and ACPI conflicts
>
> Yes, this bug is still an issue. I believe this thread has been quiet
> because we've all been, well, waiting and hoping for the devs to
> actually fix the bug. But as the bug was never even assigned to anyone,
> I'm beginning to feel this is going to be another one of those Ubuntu
> bugs that's show-stopping for some, but quietly slips into the ether and
> never gets fixed.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1003297
>
> Title:
> Networking and ACPI conflicts
>
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> The Linux kernal seems to have an issue with my on-board networking
> adapter and the ACPI of my computer. The boot log provides this bit
> of information:
>
> [ 12.236250] ACPI: resource nForce2_smbus [io 0x0700-0x073f]
> conflicts with ACPI region SM00 [io 0x700-0x73f]
>
> On doing some research this seems to be a very old and somewhat common
> bug that no one has ever done anything about.
>
> This bug results in two things:
>
> My on-board networking doesn't work, and trying to restart or shutdown
> the computer freezes the system.
>
> With the previous 12.04 kernel, 3.2.0-23.36, there were two
> workarounds.
>
> 1) Boot into rescue mode, drop to the terminal, run "rmmod forcedeth"
> then "modprobe forcedeth msi=0 msix=0" then resume a normal boot.
> This enabled both networking and regular ACPI functions.
>
> or
>
> 2) Add "forcedeth msi=0 msix=0" to /etc/modules
>
> If you booted normally without following either of the above steps and
> then tried to modprobe, it wouldn't work. If you tried to rmmod the
> module, the system would instantly freeze.
>
> With the new kernel update, 3.2.0-24.38, the above method number 1
> still works, but number 2 no longer works as a workaround. It simply
> doesn't do anything.
>
> The replacement work around for the new kernel is you must add the
> line "exec rmmod forcedeth" directly underneath the beginning of the
> script section in the file /etc/init/module-init-tools.conf, then you
> must add "modprobe forcedeth msi=0 msix=0" to /etc/rc.local. This new
> method doesn't work with the old kernel, and the old method doesn't
> work with the new kernel.
>
> I fear unless this long-standing bug is fixed once and for all so such
> hoops don't have to be jumped through, at one point the kernel may
> receive some update to where no method will be able to get this to
> work at all.
>
> For the record, none of the various GRUB tweaks, such as acpi=off or
> acpi=force, did anything.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: linux-image-3.2.0-24-generic 3.2.0-24.38
> ProcVersionSignature: Ubuntu 3.2.0-24.38-generic 3.2.16
> Uname: Linux 3.2.0-24-generic x86_64
> NonfreeKernelModules: fgl...

Read more...

Step one in fixing the bug is getting Ubuntu to pay attention. If Ubuntu doesn't pay attention, if they continue to just ignore it and hope it goes away like they've done since the day the bug was filed, it doesn't matter how much information we provide or how many hoops we jump through, nothing will be done about it.

David, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies
Ubuntu Community: https://wiki.ubuntu.com/ReportingBugs

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. If you have further questions, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

Gannin (spacesword) wrote :

So now you're encouraging people to file a duplicate bug report. I wasn't aware the policy had changed.

And take notice, anyone that happens across this page and is interested, in the complete lack of a response to the fact that no one was ever assigned to this bug, not from day one, even when the bug was confirmed.

This is not the first Ubuntu bug I've seen where it gets filed, confirmed, ignored, then they come back later and say, "Does it work now?" And the bug filer responds with, "No," gives relevant information, then the bug is ignored, until sometime later they come back and say, "Does it work now?" without ever having anyone assigned to the bug. And so on and so on until the bug filer gets rather tired of the whole thing and just goes away, just like they were hoping for in the first place. It reaffirms the policy that if you ignore a bug, it must not exist.

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
JonnyTech (jon-tech-uk) wrote :

I can confirm that this is an ongoing problem and that the forcedeth workarounds are the only way for me to use ubuntu/mint on my ASRock motherboard.

Please consider fixing this...

JonnyTech, in order to track your hardware, could you please file a new report via a terminal:
ubuntu-bug linux

JonnyTech (jon-tech-uk) wrote :

Thanks Christopher - bug submitted - id 1264509
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1264509

As stated elsewhere (http://ubuntuforums.org/showthread.php?t=2020571&page=2), it seems there is a bug between forcedeth and AM3+ CPUs.

I have this conflict with Ubuntu 13.10 and it's solved by removing forcedeth and reloading with "modprobe forcedeth msi=0 msix=0".

Please reopen this bug.

Changed in linux (Ubuntu):
status: Expired → Confirmed

Marco Aicardi, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Changed in linux (Ubuntu):
status: Confirmed → Incomplete

I've filed a new bug report #1281930.

Thanks for your help.

summary: - Networking and ACPI conflicts
+ 10de:03ef [ASRock N68-VS3 FX] Networking and ACPI conflicts
Changed in linux (Ubuntu):
importance: Medium → Low
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
MightyPork (mighty-pork) wrote :

The bug is still present, I've just spent an afternoon trying to fix it (on Arch Linux, but it's the same bug in the driver).

A little HOWTO how to fix it here: https://bbs.archlinux.org/viewtopic.php?pid=1551149#p1551149
(with modprobe and mkinitcpio).

Just for Googlers' reference. Hope it helps someone.

mike (taffod) wrote :

I have the similar symptoms as above but with UBUNTU 14.04 and its kernel.

Of course, the work-arounds listed in the report above do not work for me in this new kernel.

Specifically;

solution "1)" works as an emergency measure but only works once-only and a lot of the graphics drivers are not running optimally.

Solution "2)", you say, no longer works, so I tried the "replacement" work-around, but that failed because my system doesn’t have a file at "/etc/init/module-init-tools.conf"

I'm hoping taht there is a simple work around for this issue in UBUNTU 14.04 / its' linux kernel .

Can someone help please?

Changed in linux (Ubuntu):
status: Expired → New

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

mike (taffod), it will help immensely if you filed a new report via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
mike (taffod) wrote :

Ok, I'll do that, but I'll struggle as the machine has no ethernet.

I'll do it soon, Thanks for the advice.

mike (taffod) wrote :

Christopher M Penalver,

Thanks for your suggestion, but I can't submit the error report via ubuntu-bug linux.
It doesn't like the new kernel 3.19, says its not official and to remove it.

How would I get around that please?

Thanks,

Mike

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
sasha1024 (sasha1024) wrote :

Still affected.

Changed in linux (Ubuntu):
status: Expired → Confirmed

sasha1024, it will help immensely if you filed a new report with the Ubuntu repository kernel (not mainline/upstream) via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Tobias (navigaetor) wrote :

I searched quite a while on how to solve the issue with recent ubuntu versions (e.g. in my case Ubuntu 16.04 LTS) after I have upgraded my processor from an older Athlon II X2 270 to an FX-8320E. The bug was not present before, but as I found in some other posts only materializes with an AM3+ processor.

Here is how to get rid of the bug:
enter these two commands in a terminal:

echo "options forcedeth msi=0 msix=0" | sudo tee /etc/modprobe.d/forcedeth_options.conf
sudo update-initramfs -u

then reboot your machine (that will be the last time it crashes during reboot :).

This will tell the kernel to load the module "forcedeth" (the driver for the ethernet part of nvidia’s nForce chipset on my AsRock N68C-FX GS board) with the given options already at boot time.

Tobias (navigaetor), it will help immensely if you filed a new report with the Ubuntu repository kernel (not mainline/upstream) via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers